package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractDownloadDoubleauthRequest struct {
	ContractRequest  *common.ContractRequest   `json:"contractRequest"`
	SignatoryRequest *common.SignatoryInfo     `json:"signatoryRequest,omitempty"`
	ActionRequest    *common.ActionInfoRequest `json:"actionRequest,omitempty"`
}

func (obj ContractDownloadDoubleauthRequest) GetUrl() string {
	return "/contract/download/doubleauth"
}

func (obj ContractDownloadDoubleauthRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
